@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: $color-bg;
}

.pulse {
  margin: 50px;
  border-radius: 100%;
  background-color: $color-1;

  &-1 {
    width: 50px;
    height: 50px;
    padding: 6px;
    border: 5px solid transparent;
    background-clip: content-box;
    animation: pulse-1 .7s ease-in-out 0s infinite alternate forwards;
  }

  &-2 {
    width: 30px;
    height: 30px;
    animation: pulse-2 1.5s ease-in-out 0s infinite normal forwards;
  }
}

@keyframes pulse-1 {
  from {
    border-color: transparent;
  }

  to {
    border-color: $color-1;
  }
}

@keyframes pulse-2 {
  0% {
    box-shadow: 0 0 0 0 rgba($color-1, .6);
  }

  70% {
    box-shadow: 0 0 0 14px rgba($color-1, 0);
  }

  100% {
    box-shadow: 0 0 0 rgba($color-1, 0);
  }
}
